function love.load()
	love.graphics.setBackgroundColor(255, 123, 67 )
	--music = love.audio.newSource("sound/music.mp3")
	--love.audio.play(music)
	--music:setLooping( -1 )
	Char= love.graphics.newImage("textures/Player.png")

   	player = {
      		x = 640,
      		y = 200,
      		collision = false,
      		ySpeed = 0, -- the Speed we'll add to the Y movement
      		gravSecond = 1.5, -- gravity amount
      		inAir = false,
			health = 100,
			xp = 0,
			rank = 1,
			score = 0
	}
	rect = {
			x = 1000,
			y = 500,
			w = 32,
			h = 32
	}
end

function love.keypressed(key)
	if key=="f" then
	love.graphics.toggleFullscreen( )
	end
   	if key == "up" and player.collision and not player.inAir   then -- Are we on the ground?
      		player.ySpeed = -20 -- Make us add a negative, to move up
      		player.inAir = true
   	end
end

function love.update(dt)
	fps = love.timer.getFPS()
	if player.x > rect.x and player.x < rect.x + rect.w and player.y > rect.y and player.y < rect.y + rect.h then
		player.collision = true
         	return true 
	else
         	return false 
   	end
   	frame = dt * 30 -- I do this just because I think better this way
   	player.ySpeed = player.ySpeed + player.gravSecond * frame -- We add gravity to the ySpeed
   	player.y = player.y + player.ySpeed * frame -- We add ySpeed to the player's y position
   	if player.collision then -- Are we on the ground?
      		player.y = player.y - player.ySpeed * frame -- If we are, We undo that moving down
      		player.ySpeed = 0 -- The ySpeed is reset
     	 	player.inAir = false
   	end
   	if love.keyboard.isDown("right") then
		player.x= player.x+5
   	end
   	if love.keyboard.isDown("left") then
		player.x= player.x-5
   	end
end

function love.draw()
	love.graphics.setColor(0, 0, 0)
	love.graphics.print("SCORE:"..player.score.."\nXP:"..player.xp.."\nHEALTH:"..player.health.."\nFPS:"..fps.."", 20, 20)
	love.graphics.setColor(255, 255, 255)
  	love.graphics.draw( Char, player.x, player.y)
  	love.graphics.setColor(23, 123, 255)
  	love.graphics.rectangle( "fill", 0, 464, 1280, 20 )
end